# TdsImportOption (JavaFX 3D Model Importers)
Date: 2014-02-09

com.interactivemesh.jfx.importer.tds

## Enum TdsImportOption

- java.lang.Object
- - java.lang.Enum<TdsImportOption>
  - - com.interactivemesh.jfx.importer.tds.TdsImportOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TdsImportOption>

    public enum TdsImportOption
    extends java.lang.Enum<TdsImportOption>

Import options for the JavaFX 3ds model importer.

See Also:
  `TdsModelImporter.getOptions()`, `TdsModelImporter.setOptions(java.util.EnumSet)`, `TdsModelImporter.setOptions(TdsImportOption...)`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GENERATE_NORMALS` Normals will be generated based on the given crease angle.
`MAP_WRITABLEIMAGE` The maps of a `PhongMaterial` object will be of type `WritableImage`.
`NONE` No option is applied.
`REVERSE_GEOMETRY` The winding of the triangles will be reversed (counterclockwise <-> clockwise).

### Method Summary

All Methods Static Methods Concrete Methods
`static TdsImportOption` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TdsImportOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final TdsImportOption NONE

No option is applied.

#### GENERATE_NORMALS

    public static final TdsImportOption GENERATE_NORMALS

Normals will be generated based on the given crease angle. The face smoothing groups in the imported file will be ignored. A new set of face smoothing groups will be created afterwards.

See Also:
  `TdsModelImporter.setCreaseAngle(double)`

#### REVERSE_GEOMETRY

    public static final TdsImportOption REVERSE_GEOMETRY

The winding of the triangles will be reversed (counterclockwise <-> clockwise).

#### MAP_WRITABLEIMAGE

    public static final TdsImportOption MAP_WRITABLEIMAGE

The maps of a `PhongMaterial` object will be of type `WritableImage`.

### Method Detail

#### values

    public static TdsImportOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TdsImportOption c : TdsImportOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TdsImportOption valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

Copyright (C) 2013-2014 InteractiveMesh e.K.